package net.minecraft.client.renderer.blockentity;

import net.minecraft.client.renderer.MultiBufferSource;
import com.mojang.blaze3d.vertex.PoseStack;
import net.minecraft.world.level.block.entity.BlockEntity;

public abstract class BlockEntityRenderer<T extends BlockEntity> {
    protected final BlockEntityRenderDispatcher renderer;
    
    public BlockEntityRenderer(final BlockEntityRenderDispatcher edw) {
        this.renderer = edw;
    }
    
    public abstract void render(final T cdl, final float float2, final PoseStack dhl, final MultiBufferSource ebz, final int integer5, final int integer6);
    
    public boolean shouldRenderOffScreen(final T cdl) {
        return false;
    }
}
