package net.minecraft.network.protocol.login;

import net.minecraft.network.PacketListener;

public interface ClientLoginPacketListener extends PacketListener {
    void handleHello(final ClientboundHelloPacket sz);
    
    void handleGameProfile(final ClientboundGameProfilePacket sy);
    
    void handleDisconnect(final ClientboundLoginDisconnectPacket tb);
    
    void handleCompression(final ClientboundLoginCompressionPacket ta);
    
    void handleCustomQuery(final ClientboundCustomQueryPacket sx);
}
