package net.minecraft.server.level;

import java.util.stream.Stream;
import it.unimi.dsi.fastutil.objects.Object2BooleanOpenHashMap;
import it.unimi.dsi.fastutil.objects.Object2BooleanMap;

public final class PlayerMap {
    private final Object2BooleanMap<ServerPlayer> players;
    
    public PlayerMap() {
        this.players = (Object2BooleanMap<ServerPlayer>)new Object2BooleanOpenHashMap();
    }
    
    public Stream<ServerPlayer> getPlayers(final long long1) {
        return (Stream<ServerPlayer>)this.players.keySet().stream();
    }
    
    public void addPlayer(final long long1, final ServerPlayer ze, final boolean boolean3) {
        this.players.put(ze, boolean3);
    }
    
    public void removePlayer(final long long1, final ServerPlayer ze) {
        this.players.removeBoolean(ze);
    }
    
    public void ignorePlayer(final ServerPlayer ze) {
        this.players.replace(ze, true);
    }
    
    public void unIgnorePlayer(final ServerPlayer ze) {
        this.players.replace(ze, false);
    }
    
    public boolean ignoredOrUnknown(final ServerPlayer ze) {
        return this.players.getOrDefault(ze, true);
    }
    
    public boolean ignored(final ServerPlayer ze) {
        return this.players.getBoolean(ze);
    }
    
    public void updatePlayer(final long long1, final long long2, final ServerPlayer ze) {
    }
}
