package net.minecraft.world;

import net.minecraft.world.phys.shapes.Shapes;
import net.minecraft.world.phys.AABB;
import net.minecraft.core.Direction;
import net.minecraft.core.BlockPos;

public class ShulkerSharedHelper {
    public static AABB openBoundingBox(final BlockPos fu, final Direction fz) {
        return Shapes.block().bounds().expandTowards(0.5f * fz.getStepX(), 0.5f * fz.getStepY(), 0.5f * fz.getStepZ()).contract(fz.getStepX(), fz.getStepY(), fz.getStepZ()).move(fu.relative(fz));
    }
}
