package net.minecraft.world.effect;

import net.minecraft.world.entity.ai.attributes.AttributeMap;
import net.minecraft.world.entity.LivingEntity;

public class AbsoptionMobEffect extends MobEffect {
    protected AbsoptionMobEffect(final MobEffectCategory aof, final int integer) {
        super(aof, integer);
    }
    
    @Override
    public void removeAttributeModifiers(final LivingEntity aoy, final AttributeMap apu, final int integer) {
        aoy.setAbsorptionAmount(aoy.getAbsorptionAmount() - 4 * (integer + 1));
        super.removeAttributeModifiers(aoy, apu, integer);
    }
    
    @Override
    public void addAttributeModifiers(final LivingEntity aoy, final AttributeMap apu, final int integer) {
        aoy.setAbsorptionAmount(aoy.getAbsorptionAmount() + 4 * (integer + 1));
        super.addAttributeModifiers(aoy, apu, integer);
    }
}
