package net.minecraft.world.item;

import net.minecraft.world.level.ItemLike;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.level.Level;

public class BowlFoodItem extends Item {
    public BowlFoodItem(final Properties a) {
        super(a);
    }
    
    @Override
    public ItemStack finishUsingItem(final ItemStack bki, final Level bqb, final LivingEntity aoy) {
        final ItemStack bki2 = super.finishUsingItem(bki, bqb, aoy);
        if (aoy instanceof Player && ((Player)aoy).abilities.instabuild) {
            return bki2;
        }
        return new ItemStack(Items.BOWL);
    }
}
