package net.minecraft.world.item;

import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.Block;

public class DoubleHighBlockItem extends BlockItem {
    public DoubleHighBlockItem(final Block bvr, final Properties a) {
        super(bvr, a);
    }
    
    @Override
    protected boolean placeBlock(final BlockPlaceContext bin, final BlockState cfj) {
        bin.getLevel().setBlock(bin.getClickedPos().above(), Blocks.AIR.defaultBlockState(), 27);
        return super.placeBlock(bin, cfj);
    }
}
