package net.minecraft.world.item.crafting;

import net.minecraft.world.level.ItemLike;
import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.level.Level;
import net.minecraft.world.Container;
import net.minecraft.world.item.ItemStack;
import net.minecraft.resources.ResourceLocation;

public class StonecutterRecipe extends SingleItemRecipe {
    public StonecutterRecipe(final ResourceLocation uh, final String string, final Ingredient bmr, final ItemStack bki) {
        super(RecipeType.STONECUTTING, RecipeSerializer.STONECUTTER, uh, string, bmr, bki);
    }
    
    @Override
    public boolean matches(final Container amz, final Level bqb) {
        return this.ingredient.test(amz.getItem(0));
    }
    
    @Override
    public ItemStack getToastSymbol() {
        return new ItemStack(Blocks.STONECUTTER);
    }
}
