package net.minecraft.world.level.block;

import net.minecraft.core.BlockPos;
import net.minecraft.world.level.BlockGetter;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.state.BlockBehaviour;

public class BarrierBlock extends Block {
    protected BarrierBlock(final Properties c) {
        super(c);
    }
    
    @Override
    public boolean propagatesSkylightDown(final BlockState cfj, final BlockGetter bpg, final BlockPos fu) {
        return true;
    }
    
    @Override
    public RenderShape getRenderShape(final BlockState cfj) {
        return RenderShape.INVISIBLE;
    }
    
    @Override
    public float getShadeBrightness(final BlockState cfj, final BlockGetter bpg, final BlockPos fu) {
        return 1.0f;
    }
}
