package net.minecraft.world.level.block;

import net.minecraft.core.particles.ParticleOptions;
import net.minecraft.core.particles.ParticleTypes;
import java.util.Random;
import net.minecraft.core.BlockPos;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.state.BlockBehaviour;

public class MyceliumBlock extends SpreadingSnowyDirtBlock {
    public MyceliumBlock(final Properties c) {
        super(c);
    }
    
    @Override
    public void animateTick(final BlockState cfj, final Level bqb, final BlockPos fu, final Random random) {
        super.animateTick(cfj, bqb, fu, random);
        if (random.nextInt(10) == 0) {
            bqb.addParticle(ParticleTypes.MYCELIUM, fu.getX() + random.nextDouble(), fu.getY() + 1.1, fu.getZ() + random.nextDouble(), 0.0, 0.0, 0.0);
        }
    }
}
