package net.minecraft.world.level.levelgen.feature.configurations;

import java.util.function.Function;
import net.minecraft.world.level.levelgen.feature.stateproviders.BlockStateProvider;
import com.mojang.serialization.Codec;

public class BlockPileConfiguration implements FeatureConfiguration {
    public static final Codec<BlockPileConfiguration> CODEC;
    public final BlockStateProvider stateProvider;
    
    public BlockPileConfiguration(final BlockStateProvider cpo) {
        this.stateProvider = cpo;
    }
    
    static {
        CODEC = BlockStateProvider.CODEC.fieldOf("state_provider").xmap((Function)BlockPileConfiguration::new, cnf -> cnf.stateProvider).codec();
    }
}
