package net.minecraft.world.level.levelgen.feature.configurations;

import java.util.function.Function;
import net.minecraft.world.level.block.state.BlockState;
import com.mojang.serialization.Codec;

public class BlockStateConfiguration implements FeatureConfiguration {
    public static final Codec<BlockStateConfiguration> CODEC;
    public final BlockState state;
    
    public BlockStateConfiguration(final BlockState cfj) {
        this.state = cfj;
    }
    
    static {
        CODEC = BlockState.CODEC.fieldOf("state").xmap((Function)BlockStateConfiguration::new, cng -> cng.state).codec();
    }
}
