package net.minecraft.world.level.levelgen.feature.configurations;

import java.util.function.Function;
import com.mojang.serialization.Codec;

public class BuriedTreasureConfiguration implements FeatureConfiguration {
    public static final Codec<BuriedTreasureConfiguration> CODEC;
    public final float probability;
    
    public BuriedTreasureConfiguration(final float float1) {
        this.probability = float1;
    }
    
    static {
        CODEC = Codec.FLOAT.xmap((Function)BuriedTreasureConfiguration::new, cnh -> cnh.probability);
    }
}
