package net.minecraft.world.level.levelgen.placement;

import com.mojang.datafixers.kinds.Applicative;
import com.mojang.datafixers.kinds.App;
import com.mojang.serialization.codecs.RecordCodecBuilder;
import com.mojang.serialization.Codec;
import net.minecraft.world.level.levelgen.feature.configurations.DecoratorConfiguration;

public class DepthAverageConfigation implements DecoratorConfiguration {
    public static final Codec<DepthAverageConfigation> CODEC;
    public final int count;
    public final int baseline;
    public final int spread;
    
    public DepthAverageConfigation(final int integer1, final int integer2, final int integer3) {
        this.count = integer1;
        this.baseline = integer2;
        this.spread = integer3;
    }
    
    static {
        CODEC = RecordCodecBuilder.create(instance -> ((RecordCodecBuilder.Instance)instance).group((App)Codec.INT.fieldOf("count").forGetter(cry -> cry.count), (App)Codec.INT.fieldOf("baseline").forGetter(cry -> cry.baseline), (App)Codec.INT.fieldOf("spread").forGetter(cry -> cry.spread)).apply(instance, DepthAverageConfigation::new));
    }
}
