package net.minecraft.world.level.levelgen.placement;

import java.util.function.Function;
import com.mojang.serialization.Codec;
import net.minecraft.world.level.levelgen.feature.configurations.DecoratorConfiguration;

public class FrequencyDecoratorConfiguration implements DecoratorConfiguration {
    public static final Codec<FrequencyDecoratorConfiguration> CODEC;
    public final int count;
    
    public FrequencyDecoratorConfiguration(final int integer) {
        this.count = integer;
    }
    
    static {
        CODEC = Codec.INT.fieldOf("count").xmap((Function)FrequencyDecoratorConfiguration::new, csf -> csf.count).codec();
    }
}
