package net.minecraft.world.level.newbiome.layer.traits;

import net.minecraft.world.level.newbiome.area.Area;
import net.minecraft.world.level.newbiome.area.AreaFactory;
import net.minecraft.world.level.newbiome.context.BigContext;

public interface AreaTransformer1 extends DimensionTransformer {
    default <R extends Area> AreaFactory<R> run(final BigContext<R> cxm, final AreaFactory<R> cxj) {
        final Area cxi4;
        final Area cxi5;
        return () -> {
            cxi4 = cxj.make();
            return cxm.createResult((integer3, integer4) -> {
                cxm.initRandom(integer3, integer4);
                return this.applyPixel(cxm, cxi5, integer3, integer4);
            }, (R)cxi4);
        };
    }
    
    int applyPixel(final BigContext<?> cxm, final Area cxi, final int integer3, final int integer4);
}
