package net.minecraft.world.level.storage;

import net.minecraft.core.BlockPos;

public interface WritableLevelData extends LevelData {
    void setXSpawn(final int integer);
    
    void setYSpawn(final int integer);
    
    void setZSpawn(final int integer);
    
    default void setSpawn(final BlockPos fu) {
        this.setXSpawn(fu.getX());
        this.setYSpawn(fu.getY());
        this.setZSpawn(fu.getZ());
    }
}
