package net.minecraft.advancements.critereon;

import net.minecraft.advancements.CriterionTriggerInstance;
import com.google.gson.JsonObject;
import net.minecraft.server.PlayerAdvancements;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.advancements.CriterionTrigger;

public class ImpossibleTrigger implements CriterionTrigger<TriggerInstance> {
    private static final ResourceLocation ID;
    
    @Override
    public ResourceLocation getId() {
        return ImpossibleTrigger.ID;
    }
    
    @Override
    public void addPlayerListener(final PlayerAdvancements uq, final Listener<TriggerInstance> a) {
    }
    
    @Override
    public void removePlayerListener(final PlayerAdvancements uq, final Listener<TriggerInstance> a) {
    }
    
    @Override
    public void removePlayerListeners(final PlayerAdvancements uq) {
    }
    
    @Override
    public TriggerInstance createInstance(final JsonObject jsonObject, final DeserializationContext av) {
        return new TriggerInstance();
    }
    
    static {
        ID = new ResourceLocation("impossible");
    }
    
    public static class TriggerInstance implements CriterionTriggerInstance {
        @Override
        public ResourceLocation getCriterion() {
            return ImpossibleTrigger.ID;
        }
        
        @Override
        public JsonObject serializeToJson(final SerializationContext cg) {
            return new JsonObject();
        }
    }
}
