package net.minecraft.client.gui.screens;

import net.minecraft.network.chat.FormattedText;
import com.mojang.blaze3d.vertex.PoseStack;
import net.minecraft.network.chat.Component;

public class GenericDirtMessageScreen extends Screen {
    public GenericDirtMessageScreen(final Component mr) {
        super(mr);
    }
    
    @Override
    public boolean shouldCloseOnEsc() {
        return false;
    }
    
    @Override
    public void render(final PoseStack dhl, final int integer2, final int integer3, final float float4) {
        this.renderDirtBackground(0);
        this.drawCenteredString(dhl, this.font, this.title, this.width / 2, 70, 16777215);
        super.render(dhl, integer2, integer3, float4);
    }
}
