package net.minecraft.client.gui.screens;

import net.minecraft.server.packs.repository.Pack;
import net.minecraft.client.gui.screens.packs.PackSelectionModel;
import net.minecraft.network.chat.TranslatableComponent;
import java.io.File;
import java.util.function.Consumer;
import net.minecraft.client.resources.ResourcePack;
import net.minecraft.server.packs.repository.PackRepository;
import net.minecraft.client.gui.screens.packs.PackSelectionScreen;

public class ResourcePackSelectScreen extends PackSelectionScreen {
    public ResourcePackSelectScreen(final Screen dqs, final PackRepository<ResourcePack> aar, final Consumer<PackRepository<ResourcePack>> consumer, final File file) {
        super(dqs, new TranslatableComponent("resourcePack.title"), runnable -> new PackSelectionModel<>(runnable, ResourcePack::bindIcon, (PackRepository<Pack>)aar, (Consumer<PackRepository<Pack>>)consumer), file);
    }
}
