package net.minecraft.client.gui.screens.inventory;

import net.minecraft.world.item.ItemStack;
import net.minecraft.core.NonNullList;
import net.minecraft.world.inventory.AbstractContainerMenu;
import net.minecraft.client.Minecraft;
import net.minecraft.world.inventory.ContainerListener;

public class CreativeInventoryListener implements ContainerListener {
    private final Minecraft minecraft;
    
    public CreativeInventoryListener(final Minecraft dlx) {
        this.minecraft = dlx;
    }
    
    @Override
    public void refreshContainer(final AbstractContainerMenu bgi, final NonNullList<ItemStack> gi) {
    }
    
    @Override
    public void slotChanged(final AbstractContainerMenu bgi, final int integer, final ItemStack bki) {
        this.minecraft.gameMode.handleCreativeModeItemAdd(bki, integer);
    }
    
    @Override
    public void setContainerData(final AbstractContainerMenu bgi, final int integer2, final int integer3) {
    }
}
