package net.minecraft.data.models.model;

import net.minecraft.world.item.Item;
import net.minecraft.core.Registry;
import net.minecraft.world.level.block.Block;
import net.minecraft.resources.ResourceLocation;

public class ModelLocationUtils {
    @Deprecated
    public static ResourceLocation decorateBlockModelLocation(final String string) {
        return new ResourceLocation("minecraft", "block/" + string);
    }
    
    public static ResourceLocation decorateItemModelLocation(final String string) {
        return new ResourceLocation("minecraft", "item/" + string);
    }
    
    public static ResourceLocation getModelLocation(final Block bvr, final String string) {
        final ResourceLocation uh3 = Registry.BLOCK.getKey(bvr);
        return new ResourceLocation(uh3.getNamespace(), "block/" + uh3.getPath() + string);
    }
    
    public static ResourceLocation getModelLocation(final Block bvr) {
        final ResourceLocation uh2 = Registry.BLOCK.getKey(bvr);
        return new ResourceLocation(uh2.getNamespace(), "block/" + uh2.getPath());
    }
    
    public static ResourceLocation getModelLocation(final Item bke) {
        final ResourceLocation uh2 = Registry.ITEM.getKey(bke);
        return new ResourceLocation(uh2.getNamespace(), "item/" + uh2.getPath());
    }
    
    public static ResourceLocation getModelLocation(final Item bke, final String string) {
        final ResourceLocation uh3 = Registry.ITEM.getKey(bke);
        return new ResourceLocation(uh3.getNamespace(), "item/" + uh3.getPath() + string);
    }
}
