package net.minecraft.sounds;

import java.util.function.Function;
import net.minecraft.resources.ResourceLocation;
import com.mojang.serialization.Codec;

public class SoundEvent {
    public static final Codec<SoundEvent> CODEC;
    private final ResourceLocation location;
    
    public SoundEvent(final ResourceLocation uh) {
        this.location = uh;
    }
    
    public ResourceLocation getLocation() {
        return this.location;
    }
    
    static {
        CODEC = ResourceLocation.CODEC.xmap((Function)SoundEvent::new, ack -> ack.location);
    }
}
