package net.minecraft.world.entity.ai.behavior;

import net.minecraft.server.level.ServerLevel;
import java.util.Map;
import com.google.common.collect.ImmutableMap;
import net.minecraft.world.entity.LivingEntity;

public class UpdateActivityFromSchedule extends Behavior<LivingEntity> {
    public UpdateActivityFromSchedule() {
        super(ImmutableMap.of());
    }
    
    @Override
    protected void start(final ServerLevel zd, final LivingEntity aoy, final long long3) {
        aoy.getBrain().updateActivityFromSchedule(zd.getDayTime(), zd.getGameTime());
    }
}
