package net.minecraft.world.item;

import net.minecraft.world.level.BlockGetter;
import net.minecraft.network.chat.Component;
import java.util.List;
import javax.annotation.Nullable;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.block.Block;

public class AirItem extends Item {
    private final Block block;
    
    public AirItem(final Block bvr, final Properties a) {
        super(a);
        this.block = bvr;
    }
    
    @Override
    public String getDescriptionId() {
        return this.block.getDescriptionId();
    }
    
    @Override
    public void appendHoverText(final ItemStack bki, @Nullable final Level bqb, final List<Component> list, final TooltipFlag bls) {
        super.appendHoverText(bki, bqb, list, bls);
        this.block.appendHoverText(bki, bqb, list, bls);
    }
}
