package net.minecraft.world.item;

import net.minecraft.world.level.block.entity.SignBlockEntity;
import net.minecraft.world.level.block.state.BlockState;
import javax.annotation.Nullable;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.level.Level;
import net.minecraft.core.BlockPos;
import net.minecraft.world.level.block.Block;

public class SignItem extends StandingAndWallBlockItem {
    public SignItem(final Properties a, final Block bvr2, final Block bvr3) {
        super(bvr2, bvr3, a);
    }
    
    @Override
    protected boolean updateCustomBlockEntityTag(final BlockPos fu, final Level bqb, @Nullable final Player bec, final ItemStack bki, final BlockState cfj) {
        final boolean boolean7 = super.updateCustomBlockEntityTag(fu, bqb, bec, bki, cfj);
        if (!bqb.isClientSide && !boolean7 && bec != null) {
            bec.openTextEdit((SignBlockEntity)bqb.getBlockEntity(fu));
        }
        return boolean7;
    }
}
