package net.minecraft.world.level;

import net.minecraft.core.BlockPos;

public interface TickList<T> {
    boolean hasScheduledTick(final BlockPos fu, final T object);
    
    default void scheduleTick(final BlockPos fu, final T object, final int integer) {
        this.scheduleTick(fu, object, integer, TickPriority.NORMAL);
    }
    
    void scheduleTick(final BlockPos fu, final T object, final int integer, final TickPriority bqt);
    
    boolean willTickThisTick(final BlockPos fu, final T object);
}
