package net.minecraft.world.level.block;

import net.minecraft.server.level.ServerLevel;
import java.util.Random;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.core.BlockPos;
import net.minecraft.world.level.BlockGetter;

public interface BonemealableBlock {
    boolean isValidBonemealTarget(final BlockGetter bpg, final BlockPos fu, final BlockState cfj, final boolean boolean4);
    
    boolean isBonemealSuccess(final Level bqb, final Random random, final BlockPos fu, final BlockState cfj);
    
    void performBonemeal(final ServerLevel zd, final Random random, final BlockPos fu, final BlockState cfj);
}
