package net.minecraft.world.level.block;

import net.minecraft.core.Direction;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.state.BlockBehaviour;

public class HalfTransparentBlock extends Block {
    protected HalfTransparentBlock(final Properties c) {
        super(c);
    }
    
    @Override
    public boolean skipRendering(final BlockState cfj1, final BlockState cfj2, final Direction fz) {
        return cfj2.is(this) || super.skipRendering(cfj1, cfj2, fz);
    }
}
