package net.minecraft.world.level.block;

import java.util.List;
import net.minecraft.world.level.storage.loot.LootContext;
import net.minecraft.world.item.ItemStack;
import javax.annotation.Nullable;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.core.BlockPos;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.block.state.BlockBehaviour;

public class PlayerWallHeadBlock extends WallSkullBlock {
    protected PlayerWallHeadBlock(final Properties c) {
        super(SkullBlock.Types.PLAYER, c);
    }
    
    @Override
    public void setPlacedBy(final Level bqb, final BlockPos fu, final BlockState cfj, @Nullable final LivingEntity aoy, final ItemStack bki) {
        Blocks.PLAYER_HEAD.setPlacedBy(bqb, fu, cfj, aoy, bki);
    }
    
    @Override
    public List<ItemStack> getDrops(final BlockState cfj, final LootContext.Builder a) {
        return Blocks.PLAYER_HEAD.getDrops(cfj, a);
    }
}
