package net.minecraft.world.level.block.state.properties;

import net.minecraft.util.StringRepresentable;

public enum WallSide implements StringRepresentable {
    NONE("none"), 
    LOW("low"), 
    TALL("tall");
    
    private final String name;
    
    private WallSide(final String string3) {
        this.name = string3;
    }
    
    @Override
    public String toString() {
        return this.getSerializedName();
    }
    
    @Override
    public String getSerializedName() {
        return this.name;
    }
}
