package net.minecraft.world.level.levelgen.feature.configurations;

import java.util.function.Function;
import com.mojang.serialization.Codec;

public class CountFeatureConfiguration implements FeatureConfiguration {
    public static final Codec<CountFeatureConfiguration> CODEC;
    public final int count;
    
    public CountFeatureConfiguration(final int integer) {
        this.count = integer;
    }
    
    static {
        CODEC = Codec.INT.fieldOf("count").xmap((Function)CountFeatureConfiguration::new, cnk -> cnk.count).codec();
    }
}
