package net.minecraft.world.level.levelgen.feature.configurations;

import java.util.function.Function;
import com.mojang.serialization.Codec;

public class FeatureRadiusConfiguration implements FeatureConfiguration {
    public static final Codec<FeatureRadiusConfiguration> CODEC;
    public final int radius;
    
    public FeatureRadiusConfiguration(final int integer) {
        this.radius = integer;
    }
    
    static {
        CODEC = Codec.INT.fieldOf("radius").xmap((Function)FeatureRadiusConfiguration::new, cns -> cns.radius).codec();
    }
}
