package net.minecraft.world.level.levelgen.feature.configurations;

import java.util.function.Function;
import net.minecraft.world.level.levelgen.feature.ConfiguredFeature;
import java.util.List;
import com.mojang.serialization.Codec;

public class SimpleRandomFeatureConfiguration implements FeatureConfiguration {
    public static final Codec<SimpleRandomFeatureConfiguration> CODEC;
    public final List<ConfiguredFeature<?, ?>> features;
    
    public SimpleRandomFeatureConfiguration(final List<ConfiguredFeature<?, ?>> list) {
        this.features = list;
    }
    
    static {
        CODEC = ConfiguredFeature.CODEC.listOf().fieldOf("features").xmap((Function)SimpleRandomFeatureConfiguration::new, cop -> cop.features).codec();
    }
}
