package net.minecraft.world.phys;

import net.minecraft.world.entity.Entity;

public class EntityHitResult extends HitResult {
    private final Entity entity;
    
    public EntityHitResult(final Entity aom) {
        this(aom, aom.position());
    }
    
    public EntityHitResult(final Entity aom, final Vec3 dem) {
        super(dem);
        this.entity = aom;
    }
    
    public Entity getEntity() {
        return this.entity;
    }
    
    @Override
    public Type getType() {
        return Type.ENTITY;
    }
}
